import { AutomizerParams, IPresentationProps, PresTemplate, RootPresTemplate } from './types';
import Slide from './slide';
export default class Automizer implements IPresentationProps {
    rootTemplate: RootPresTemplate;
    templates: PresTemplate[];
    templateDir: string;
    outputDir: string;
    params: AutomizerParams;
    constructor(params?: AutomizerParams);
    importRootTemplate(location: string): this;
    importTemplate(location: string, name: string): this;
    template(name: string): PresTemplate;
    getLocation(location: string, type?: string): string;
    /**
     * Find imported template by given name and return a certain slide available
     * @param {string} name - Name of template; must be imported by Automizer.importTemplate()
     * @param {number} slideNumber - Number of slide in template presentation
     * @return {Slide} Imported slide as an instance of Slide
     */
    addSlide(name: string, slideNumber: number): Slide;
    write(location: string): Promise<string>;
}
